{% extends "_layouts/cp" %}
{% import "_includes/forms" as forms %}



{% set blockTitle = title %}
{% set selectedSubnavItem = "categories" %}
{% set saveShortcutRedirect = 'tickit/categories/{id}' %}

{% set fullPageForm = true %}

{% block actionButton %}
    <div class="buttons">
        <div class="btngroup submit">
            <input type="submit" class="btn submit" value="{{ 'Save'|t }}">

            {#<div class="btn submit menubtn"></div>#}
            {#<div class="menu">#}
                {#<ul>#}
                    {#<li>#}
                        {#<a class="formsubmit" data-redirect="{{ continueEditingUrl }}">#}
                            {#{{ "Save and continue editing"|t }}#}
                            {#<span class="shortcut">⌘S</span>#}
                        {#</a>#}
                    {#</li>#}
                    {#<li>#}
                        {#<a class="formsubmit" data-redirect="{{ url('tickit/categories/new')|hash }}">#}
                            {#{{ "Save and add another"|t }}#}
                        {#</a>#}
                    {#</li>#}
                {#</ul>#}
            {#</div>#}
        </div>
    </div>
{% endblock %}

{% block content %}
    <h2>{{ blockTitle }}</h2>

    <div>

        <input type="hidden" name="action" value="tickit/categories/save">
        {{ redirectInput('tickit/categories') }}
        {% if category.id %}<input type="hidden" name="categoryId" value="{{ category.id }}">{% endif %}
        {{ csrfInput() }}

        {{ forms.textField({
            first: true,
            label: "Name"|t,
            instructions: "The name of the category."|t,
            id: 'name',
            name: 'name',
            value: category.name,
            errors: category.getErrors('name'),
            autofocus: true,
            required: true,
            translatable: true
        }) }}

        {{ forms.textField({
            label: "Handle"|t,
            instructions: "How you’ll refer to this category in the templates."|t,
            id: 'handle',
            class: 'code',
            name: 'handle',
            value: category.handle,
            errors: category.getErrors('handle'),
            required: true
        }) }}

        <hr>

        {{ forms.colorField({
            id: "color",
            name: "color",
            value: category.color,
            errors: category.getErrors("color"),
            required: true,
            label: 'Color'|t,
            instructions: 'The color of the category circle when viewing inside CP.'|t
        }) }}

        {{ forms.lightswitchField({
            label: "Is Default"|t,
            instructions: "Set this category be selected by default when creating new forms?",
            name: "isDefault",
            on: category.isDefault,
            disabled: category.isDefault,
            errors: category.errors("isDefault"),
        }) }}

    </div>
{% endblock %}


{% js %}
    {% if not category.handle %}new Craft.HandleGenerator('#name', '#handle');{% endif %}

    $(function () {
    $colorSelect = $('#color-menu-btn');
    new Garnish.MenuBtn($colorSelect, {
    onOptionSelect: function(data) {
    var val = $(data).data('val');
    $('#color').val(val);
    var html = "<span class='category "+val+"'></span>"+Craft.uppercaseFirst(val);
    $colorSelect.html(html);
    }
    });
    });
{% endjs %}
